Bug 2274062 - Update Silverblue baked-in flatpaks to Fedora 40
Summary: Update Silverblue baked-in flatpaks to Fedora 40
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 40
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Aoife Moloney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-04-08 22:33 UTC by Adam Williamson
Modified: 2024-04-19 18:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-19 18:35:09 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Adam Williamson 2024-04-08 22:33:32 UTC
The runtime and app flatpaks baked into the Silverblue images are currently Fedora 39-based. For Fedora 40 Final, we should update them to be Fedora 40-based.

There are two pending updates for this:

* https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2024-d35ef129e0
* https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2024-2df5e0842f

this bug is filed to be proposed as a Final freeze exception bug so those updates can be pushed stable and included in the Final composes.

Comment 1 Fedora Update System 2024-04-08 22:35:06 UTC
FEDORA-FLATPAK-2024-d35ef129e0 (baobab-flatpak-46.0-1, cheese-flatpak-44.1-3, and 17 more) has been submitted as an update to Fedora 40 Flatpaks.
https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2024-d35ef129e0

Comment 2 Fedora Update System 2024-04-08 22:35:17 UTC
FEDORA-FLATPAK-2024-2df5e0842f (flatpak-runtime-f40-1) has been submitted as an update to Fedora 40 Flatpaks.
https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2024-2df5e0842f

Comment 3 Kevin Fenzi 2024-04-09 00:32:35 UTC
FWIW, we don't freeze flatpak updates... they flow normally. But yeah, we do want to make sure they are stable and used.

Comment 4 Adam Williamson 2024-04-09 00:51:22 UTC
unproposing, then.

Comment 5 Fedora Update System 2024-04-10 02:02:01 UTC
FEDORA-FLATPAK-2024-2df5e0842f (flatpak-runtime-f40-1) has been pushed to the Fedora 40 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2024-04-10 02:02:04 UTC
FEDORA-FLATPAK-2024-d35ef129e0 (baobab-flatpak-46.0-1, cheese-flatpak-44.1-3, and 17 more) has been pushed to the Fedora 40 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Adam Williamson 2024-04-19 18:35:09 UTC
This got done.


Note You need to log in before you can comment on or make changes to this bug.